/*
  distancethreshold: Minimum cutoff for a gestures to take effect
  degreesleniency: Offset degrees within which gesture is recognized (max=45)
  timeoutms: Maximum duration for a gesture to take place in miliseconds
  orientation: Number of 90 degree turns to shift gestures by
  verbose: 1=enabled, 0=disabled; helpful for debugging
  device: Path to the /dev/ filesystem device events should be read from
  gestures: Array of gestures; binds num of fingers / gesturetypes to commands
            Supported gestures: SwipeLR, SwipeRL, SwipeDU, SwipeUD,
                                SwipeDLUR, SwipeURDL, SwipeDRUL, SwipeULDR
*/

unsigned int distancethreshold = 300;
unsigned int degreesleniency = 15;
unsigned int timeoutms = 800;
unsigned int orientation = 0;
unsigned int verbose = 0;
double edgesizeleft = 50.0;
double edgesizetop = 50.0;
double edgesizeright = 50.0;
double edgesizebottom = 50.0;
char *device = "/dev/input/event1";

Gesture gestures[] = {
	/* nfingers  gesturetype  command */
	//{ 1,         SwipeLR,     EdgeAny, DistanceAny, "xdotool key --clearmodifiers Alt+Shift+e" },
	//{ 1,         SwipeRL,     EdgeAny, DistanceAny, "xdotool key --clearmodifiers Alt+Shift+r" },
	//{ 1,         SwipeDLUR,   EdgeAny, DistanceAny, "volume up" },
	//{ 1,         SwipeURDL,   EdgeAny, DistanceAny, "volume down" },
	// { 1,         SwipeDRUL,   EdgeAny, DistanceAny, "brightness up" },
	// { 1,         SwipeULDR,   EdgeAny, DistanceAny, "brightness down" },
	//{ 2,         SwipeLR,     EdgeAny, DistanceAny, "xdotool key --clearmodifiers Alt+e" },
	//{ 2,         SwipeRL,     EdgeAny, DistanceAny, "xdotool key --clearmodifiers Alt+r" },
	{ 1,         SwipeUD,     EdgeTop,   DistanceShort, "folder-shell &" },
	{ 2,         SwipeUD,     EdgeTop,   DistanceShort, "sleep 0.3; xdotool key --clearmodifiers 'Super_L+q'" },

	{ 1,         SwipeLR,     EdgeLeft,   DistanceShort, "spawn-phone-menu &" },
	{ 2,         SwipeLR,     EdgeLeft,   DistanceShort, "spawn-phone-menu system &" },

	{ 1,         SwipeRL,     EdgeRight,   DistanceShort, "launcher &" },
	{ 1,         SwipeUD,     EdgeRight,   DistanceShort, "phoneStatus &" },

	{ 1,         SwipeDU,     EdgeBottom, DistanceShort, "pidof svkbd-colemak || pidof svkbd-numbers || svkbd-colemak &" },
	{ 2,         SwipeDU,     EdgeBottom, DistanceShort, "pidof svkbd-colemak || pidof svkbd-numbers || svkbd-numbers &" },
	{ 1,         SwipeUD,     EdgeBottom, DistanceShort, "pkill -9 'svkbd-*'" },
	{ 2,         SwipeUD,     EdgeBottom, DistanceShort, "pkill -9 'svkbd-*'" },
	{ 1,         SwipeLR,     EdgeBottom, DistanceShort, "xdotool key --clearmodifiers 'Super_L+Right'" },
	{ 1,         SwipeRL,     EdgeBottom, DistanceShort, "xdotool key --clearmodifiers 'Super_L+Left'" },
};
